<?php
$elgg_path = elgg_get_site_url();
$title = elgg_echo('add_items_menu');
$header = "<h3 class=\"float\">$title</h3>";

$body = '';

$viewer_guid = elgg_get_logged_in_user_guid();
$page_owner = elgg_get_page_owner_entity();

$add_items_menu_array = get_valid_types(array('drawmap', 'tidypics_batch','thewire', 'comment', 'hjcategory', 'hjwall', 'videoconference', 'image', 'page_top'));

if ($add_items_menu_array)
{
    asort($add_items_menu_array);

    //create HTML code out of array
    $body = '<ul class="topbar-elgg-add-items-list elgg-list">';
    foreach ($add_items_menu_array as $entity_type) {
        switch ($entity_type){
            case  'au_set': $entity_type = 'pinboards';  $add_new_url = $entity_type . '/add/'; break;
            case  'event': $entity_type = 'events'; $add_new_url = 'events/event/new/'; break;
            case  'album': $entity_type = 'photos'; $add_new_url = $entity_type . '/add/'; break;
            case  'videolist_item': $entity_type = 'videos'; $add_new_url = $entity_type . '/add/'; break;
            case  'page': $entity_type = 'pages';  $add_new_url = $entity_type . '/add/'; break;
            default: $add_new_url = $entity_type . '/add/'; break;
        }
        // if the current page is part of a group then default to add the item to the group
        if (elgg_instanceof($page_owner, 'group'))
            $add_new_url .= $page_owner->getGUID();
        else {
            $add_new_url .= $viewer_guid;
        }

        // don't show file uploads for non admins
        if (($entity_type == 'file')&&(!elgg_is_admin_logged_in()))
        {}
        else
        {
            $body .= '<li onClick="window.location.href=\''. $elgg_path . $add_new_url .'\';">'.elgg_view('output/url', array(
            'href' => $elgg_path . $add_new_url,
            'text' => elgg_echo('add_items_menu:' . $entity_type),
            'is_trusted' => true,)
            ).'</a></li>';
        }
    }
    $body .= '</ul>';
}
else {
	$body = elgg_echo('add_items_menu:none');
}
$vars = array(
    'class' => 'elgg-add-items-popup hidden',
    'id' => 'add-items-popup',
    'header' => $header
);

echo elgg_view_module('popup', '', $body, $vars);
